{"openapi":"3.0.1","info":{"title":"Leadboxer API","description":"# LeadBoxer API Documentation\n\nHere you can find the technical documentation needed for using the LeadBoxer API, including the option to generate requests and review the outcomes.\n\n## Getting Started\n\nTo get started, please have a look at these pages that include introductions, use-cases, and additional information for the LeadBoxer API: [LeadBoxer API Documentation](https://docs.leadboxer.com/category/112-all)\n\nThese documents are intended for LeadBoxer CUSTOMERS that have a valid API license & Key. Please contact us before using the LeadBoxer API.\n\n## Warning\n\nPlease be aware that any actions you perform through this reference testing functionality will involve operations with your production data. To test your applications against some sandbox data, we recommend creating a new, separate LeadBoxer account for sandboxing purposes.\n\nThis API is under active maintenance, and we are constantly adding new functionality to this version.\n\n[**All requests to the API must be made over SSL (https, not http).**]","termsOfService":"https://www.leadboxer.com/resources/terms","contact":{"name":"Wart Fransen","url":"wart@leadboxer.com","email":"hello@leadboxer.com"},"license":{"name":"","url":"https://www.leadboxer.com/resources/privacy"},"version":"0.0.1"},"servers":[{"url":"https://api.leadboxer.com","description":"Production Server"}],"security":[{"ApiKeyAuth":[]}],"tags":[{"name":"User Management","description":"API endpoints for managing users within an account. These operations allow you to create users, update their basic information, manage invitations, retrieve their accessible datasets, and remove users when needed."},{"name":"LeadOperation","description":"Manage your Lead."},{"name":"Lookup API","description":"APIs for IP, Domain and Email lookup operations"},{"name":"Dataset Management","description":"Manage your datasets. Add, update, delete datasets from your account, configure preferences, and manage form tracking."},{"name":"Segments","description":"Manage your segments. Add, update, delete segments for your datasets etc."},{"name":"Segment Preference","description":"Defines and manages which segment is set as default for a given combination of User ID and Dataset ID.\nA user can have multiple segments under a dataset, but only one of them can be designated as the default at any time.\nThese APIs handle creation, retrieval, and updates of that default segment."},{"name":"Leads","description":"Get your top leads with fine grained filtering criteria."},{"name":"UserDatasets","description":"Manage access to your datasets. Associate/dissociate datasets with users etc."}],"paths":{"/v1/users/{userId}/name":{"put":{"tags":["User Management"],"summary":"Update User Name","description":"Updates the display name of an existing user.","operationId":"updateName","parameters":[{"name":"userId","in":"path","description":"Unique ID of the user to be updated.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserName"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"User Name updated successfully. No content returned."}}}},"/v1/segments/{segmentId}":{"put":{"tags":["Segments"],"summary":"Update Existing Segment","description":"Update an existing segment with the given configuration. Use this endpoint to update filter criteria, email preferences etc.","operationId":"updateSegment","parameters":[{"name":"segmentId","in":"path","description":"Segment ID","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"segmentName","in":"query","description":"Segment Name","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSegmentRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Segment updated successfully. No content returned."}}},"delete":{"tags":["Segments"],"summary":"Delete Segment","description":"To delete specified segment.","operationId":"deleteSegment","parameters":[{"name":"segmentId","in":"path","description":"Segment ID","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Segment deleted successfully. No content returned."}}}},"/v1/segments/user":{"put":{"tags":["Segments"],"summary":"Update Segment User","description":"Updates the user associated with the segment, which allow that user to access the segment.","operationId":"updateSegmentUser","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSegmentUserRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Segment User updated successfully. No content returned."}}}},"/v1/segment/preference":{"get":{"tags":["Segment Preference"],"summary":"Get Default Segment Users","description":"Get the list of User IDs for whom the specified segment is set as the default under the given Dataset ID.","operationId":"getUsersBySegmentIdAndDatasetId","parameters":[{"name":"email","in":"query","description":"Email associated with the account.","required":true,"schema":{"type":"string"}},{"name":"segmentId","in":"query","description":"Segment ID for which you want to retrieve the list of users who have this segment set as default.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"datasetId","in":"query","description":"Dataset ID under which the segment’s default users should be retrieved.","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetAllResponseLong"}}}}}},"put":{"tags":["Segment Preference"],"summary":"Add/Update Default Segment for Users","description":"Sets the given Segment ID as the default segment for the provided list of User IDs under the specified Dataset ID.\nUsers included in the list will have their default segment added or updated accordingly.\nAny users not included in the list will have their existing default-segment association under this dataset removed.","operationId":"saveDefaultSegment","parameters":[{"name":"email","in":"query","description":"Email associated with the account.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SegmentPreferenceRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Segment Preference updated successfully. No content returned."}}},"delete":{"tags":["Segment Preference"],"summary":"Remove Default Segment","description":"Remove Default Segment for the user with the given Email under the given Dataset ID.","operationId":"deleteDefaultSegment","parameters":[{"name":"email","in":"query","description":"Email associated with the account. Default Segment for this user under the given dataset will be removed.","required":true,"schema":{"type":"string"}},{"name":"datasetId","in":"query","description":"Dataset ID from which default segment is to be removed.","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Default Segment removed successfully. No content returned."}}}},"/v1/management/lead-tags":{"put":{"tags":["LeadOperation"],"summary":"Update Lead Tags","description":"Adds or removes lead tags for a specified lead.","operationId":"updateLeadTags","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeadTagsUpdateRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Tags updated successfully. No content returned."}}}},"/v1/management/ctd/update":{"put":{"tags":["Custom Tracking Domains"],"summary":"Update Custom Tracking Domain by Dataset ID","description":"Update custom tracking domain entry for the given dataset Id and ctd.","operationId":"updatedCustomTrackingDomain","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomTrackingDomainRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Custom Tracking Domain updated successfully, no content returned."}}}},"/v1/management/assign-leads":{"put":{"tags":["LeadOperation"],"summary":"Assign Leads","description":"Assigns lead to a user.","operationId":"assignLeads","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeadAssignRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Assignee created/updated successfully. No content returned."}}}},"/v1/datasets/{datasetId}/name":{"put":{"tags":["Dataset Management"],"summary":"Update Dataset Name","description":"Updates the human-readable name of the specified dataset.","operationId":"updateDatasetName","parameters":[{"name":"humanName","in":"query","required":true,"schema":{"type":"string"}},{"name":"datasetId","in":"path","required":true,"schema":{"type":"string"}},{"name":"email","in":"query","description":"Email associated with the account.","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Dataset name updated successfully. No content returned."}}}},"/v1/datasets/{datasetId}/form-tracking":{"put":{"tags":["Dataset Management"],"summary":"Update Form Tracking","description":"Updates the form tracking configuration for the specified dataset, including enabling/disabling tracking, IP masking, and form input attributes.","operationId":"updateFormTracking","parameters":[{"name":"formTracking","in":"query","required":true,"schema":{"type":"boolean"}},{"name":"partialFormTracking","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"contactEnrichment","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"allowIpMasking","in":"query","required":true,"schema":{"type":"boolean"}},{"name":"formInputAttribute","in":"query","required":true,"schema":{"type":"string"}},{"name":"datasetId","in":"path","required":true,"schema":{"type":"string"}},{"name":"email","in":"query","description":"Email associated with the account.","required":true,"schema":{"type":"string"}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Form Tracking updated successfully. No content returned."}}}},"/v1/users":{"post":{"tags":["User Management"],"summary":"Create or Associate User","description":"Creates a new user or associates an existing user with an account, depending on the provided data.","operationId":"addUser","parameters":[{"name":"email","in":"query","description":"Email associated with the account.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Payload containing datasets and other user information.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddUser"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"User created successfully. No content returned."}}}},"/v1/user-datasets":{"get":{"tags":["UserDatasets"],"summary":"Fetch User Datasets","description":"Retrieves the datasets associated with a user for the given account. This provides details about the user's datasets under their account.","operationId":"getUserDatasets_1","parameters":[{"name":"accountId","in":"query","description":"The unique identifier for the user's account.","required":true,"schema":{"type":"string"}},{"name":"email","in":"query","description":"The email address of the user for whom datasets are being fetched.","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetAllResponseAccountUserDatasetDTO"}}}}}},"post":{"tags":["UserDatasets"],"summary":"Add User Dataset","description":"Associates a user with a dataset. This operation allows the user to access and work with the specified dataset.","operationId":"addUserDataset","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddUserDataset"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"User successfully associated with given dataset. No content returned."}}},"delete":{"tags":["UserDatasets"],"summary":"Remove User Dataset","description":"Disassociates a user from a dataset. This operation will prevent the user from accessing the specified dataset.","operationId":"removeUserDataset","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveUserDataset"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"No Content"}}}},"/v1/segments":{"get":{"tags":["Segments"],"summary":"Retrieve Segments for a Given Site","description":"Fetches segments associated with a specified dataset and account, for a user identified by email.","operationId":"getSegments","parameters":[{"name":"email","in":"query","description":"The email address of the user making the request.","required":true,"schema":{"type":"string"}},{"name":"accountId","in":"query","description":"The Leadboxer account ID associated with the segments.","required":true,"schema":{"type":"string"}},{"name":"datasetId","in":"query","description":"The dataset for which to fetch segments.","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetAllResponseSmartlistDTO"}}}}}},"post":{"tags":["Segments"],"summary":"Create a New Segment","description":"Creates a new segmentRequest for the specified account and dataset using the provided configuration. This includes applying filters and setting up any email notification preferences.","operationId":"createSegment","parameters":[{"name":"email","in":"query","description":"The email address of the user creating the segmentRequest.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The configuration details for the new segmentRequest, including filters and email notification settings.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSegmentRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateResponseDTOInteger"}}}}}}},"/v1/management/ctd/validate":{"post":{"tags":["Custom Tracking Domains"],"summary":"Validate Custom Tracking Domain","description":"Validate the given custom tracking domain.","operationId":"validateCustomTrackingDomain","requestBody":{"description":"Custom Tracking Domain Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomTrackingDomainRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomTrackingDomainValidationResponse"}}}}}}},"/v1/management/ctd/add":{"post":{"tags":["Custom Tracking Domains"],"summary":"Add Custom Tracking Domain","description":"Adds a custom tracking domain to the dataset and triggers the certificate generation process. <br/><br/><b>Note:</b> This operation may take several minutes to complete.<br/><br/>The response indicates whether the request resulted in an error, completed successfully, or requires additional DNS configuration.","operationId":"addCustomTrackingDomain","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomTrackingDomainRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"Indicates the result of adding a custom tracking domain.<br/>Response code 0 indicates success, while response code -1 indicates failure; details are provided in the responseMessage.","content":{"application/json":{"examples":{"Success":{"description":"Success","value":{"responseCode":0,"responseMessage":"Successfully added the track.example.com as the custom tracking domain."}},"Error":{"description":"Error","value":{"responseCode":-1,"responseMessage":"Something went wrong while adding ctd."}}}}}}}}},"/v1/email-lookup":{"get":{"tags":["Lookup API"],"summary":"Email Lookup (GET)","description":"Same as POST /v1/email-lookup, with the email and the optional hints as query parameters, for consistency with the IP and domain lookups. Prefer POST where possible: with GET the email address ends up in URLs, browser history and server logs. Available on every plan. Credits are only consumed when a profile is found.","operationId":"lookupEmailByQuery","parameters":[{"name":"email","in":"query","description":"Email address of the contact to enrich","required":true,"schema":{"type":"string"},"example":"jane.doe@leadboxer.com"},{"name":"firstName","in":"query","description":"First name of the contact (optional hint)","required":false,"schema":{"type":"string"}},{"name":"lastName","in":"query","description":"Last name of the contact (optional hint)","required":false,"schema":{"type":"string"}},{"name":"companyName","in":"query","description":"Name of the company the contact works for (optional hint)","required":false,"schema":{"type":"string"}},{"name":"companyDomain","in":"query","description":"Domain of the company the contact works for (optional hint)","required":false,"schema":{"type":"string"}},{"name":"datasetId","in":"query","description":"The dataset ID to associate with the operation’s credit. If not specified, a dataset linked to the account will be selected.","required":false,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"Successfully retrieved contact profile","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactProfileDetails"}}}}}},"post":{"tags":["Lookup API"],"summary":"Email Lookup","description":"Retrieve the professional profile of a contact by email address. Only the email is required; name and company are optional hints that improve matching. Available on every plan. Credits are only consumed when a profile is found.\n\nThe same lookup is also available as GET /v1/email-lookup?email=..., but POST is recommended because it keeps the email address out of URLs and server logs.\n\nReturned Data\nWhen a match is found, the following fields are returned:\n\nContact details\n- email\n- fullName\n- headline\n- linkedinUrl\n- seniority\n- jobFunction\n- location\n\nLanguages\n- languages[].name\n- languages[].proficiency\n\nExperience\n- experience[].title\n- experience[].companyName\n- experience[].startYear\n- experience[].endYear\n- experience[].current","operationId":"lookupEmail","parameters":[{"name":"datasetId","in":"query","description":"The dataset ID to associate with the operation’s credit. If not specified, a dataset linked to the account will be selected.","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactEnrichmentRequest"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"Successfully retrieved contact profile","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactProfileDetails"},"examples":{"Success":{"description":"Success","value":{"email":"jane.doe@leadboxer.com","fullName":"Jane Doe","headline":"Head of Marketing at LeadBoxer","linkedinUrl":"https://www.linkedin.com/in/janedoe","seniority":"Senior","jobFunction":"Marketing","location":"Amsterdam, North Holland, Netherlands","languages":[{"name":"English","proficiency":"Native or bilingual proficiency"}],"experience":[{"title":"Head of Marketing","companyName":"LeadBoxer","startYear":2021,"current":true}]}}}}}}}}},"/v1/datasets":{"post":{"tags":["Dataset Management"],"summary":"Add Dataset","description":"Creates a new dataset in the account and associates it with the specified users.","operationId":"addDataset","parameters":[{"name":"email","in":"query","description":"User email.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddDataset"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateResponseDTOString"}}}}}}},"/v1/dataset-exclusion":{"get":{"tags":["Leads"],"summary":"Retrieve leads exclusions","description":"Use this API to retrieve dataset exclusion rules. ","operationId":"getDatasetExclusions","parameters":[{"name":"datasetId","in":"query","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetAllResponseDatasetTypeExclusionResponse"}}}}}},"post":{"tags":["Leads"],"summary":"Hide leads","description":"Use this API to define exclusion rules for specific datasets. These rules allow you to hide leads based on different criteria, such as a specific identifier (use_id) or attributes like organizationName or organizationDomain. Each rule is created using a combination of type and data for a given dataset.","operationId":"saveDatasetExclusion","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SaveDatasetExclusion"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"DatasetExclusion saved successfully."}}},"delete":{"tags":["Leads"],"summary":"Unhide leads","description":"Use this API to delete existing dataset exclusion rules.","operationId":"deleteDatasetExclusion","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveDatasetExclusion"}}},"required":true},"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"DatasetExclusion deleted successfully."}}}},"/api/credits/usage/timeseries":{"post":{"tags":["credit-reporting-controller"],"operationId":"getUsageOverTime","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditUsageTimeSeriesRequest"}}},"required":true},"responses":{"429":{"description":"Too Many Requests – rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"400":{"description":"Parameterized error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParameterizedErrorVM"}},"*/*":{"schema":{"$ref":"#/components/schemas/ErrorVM"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorVM"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetAllResponseDailyUsage"}}}}}}},"/api/credits/usage/summary":{"post":{"tags":["credit-reporting-controller"],"operationId":"getCreditUsageSummary","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditUsageSummaryRequest"}}},"required":true},"responses":{"429":{"description":"Too Many Requests – rate limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"400":{"description":"Parameterized error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParameterizedErrorVM"}},"*/*":{"schema":{"$ref":"#/components/schemas/ErrorVM"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ErrorVM"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreditUsageSummary"}}}}}}},"/v1/users/{userId}/invite/resend":{"get":{"tags":["User Management"],"summary":"Resend User Invitation","description":"Resends an invitation email to the specified user.","operationId":"resendInvite","parameters":[{"name":"userId","in":"path","description":"ID of the user whose invitation is being resent.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"email","in":"query","description":"Email associated with the account.","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Invitation sent successfully. No content returned."}}}},"/v1/users/datasets":{"get":{"tags":["User Management"],"summary":"Get User Datasets","description":"Returns the list of datasets the authenticated user has access to.","operationId":"getUserDatasets","parameters":[{"name":"email","in":"query","description":"Email associated with the account.","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetAllResponseUserDatasetDTO"}}}}}}},"/v1/management/ctd/{datasetId}":{"get":{"tags":["Custom Tracking Domains"],"summary":"Get Custom Tracking Domain by Dataset ID","description":"Get all custom tracking domains for a given dataset Id.","operationId":"getCustomTrackingDomains","parameters":[{"name":"datasetId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAllResponseCustomTrackingDomainDTO"}}}}}},"delete":{"tags":["Custom Tracking Domains"],"summary":"Delete Custom Tracking Domain by Dataset ID","description":"Delete custom tracking domain entry for the given dataset Id and ctd.","operationId":"deleteCustomTrackingDomain","parameters":[{"name":"ctd","in":"query","required":true,"schema":{"type":"string"}},{"name":"datasetId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"204":{"description":"Custom Tracking Domain deleted successfully, no content returned."}}}},"/v1/management/credits":{"get":{"tags":["Credit Management"],"summary":"Get Credit Grants","operationId":"getAvailableCreditGrants","responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetAllResponseCreditGrantDTO"}}}}}}},"/v1/leads":{"get":{"tags":["Leads"],"summary":"Retrieve Leads","description":"Returns a list of leads in JSON format based on the provided filters and query parameters.","operationId":"users","parameters":[{"name":"site","in":"query","description":"The Dataset ID","required":true,"schema":{"type":"string"}},{"name":"search","in":"query","description":"Keyword or phrase to search across all searchable fields. Search is case-insensitive for text fields. Defaults to '*' to match all results.","required":false,"schema":{"type":"string","default":"*"}},{"name":"limit","in":"query","description":"No of rows to return in response.","required":false,"schema":{"type":"integer","format":"int32","default":50}},{"name":"locale","in":"query","description":"Locale for formatting the 'prettyLastEvent' field in response. Determines the language and regional formatting (e.g., dates, text) returned by the API.","required":false,"schema":{"type":"string","default":"en_US"},"example":"en_US"},{"name":"nextToken","in":"query","description":"Token returned after each request, used to fetch the next page of results. Each token is valid for 10 minutes.","required":false,"schema":{"type":"string"}},{"name":"criteriaTextFilter","in":"query","description":"Text-based filter expression used to filter result fields.Format: field|operator|value. Multiple filters are comma-separated.","required":false,"schema":{"type":"string"},"examples":{"Does not contain – organization name":{"description":"Does not contain – organization name","value":"organizationName.raw|doesnotcontain|Cirrus"},"Employee range with tag exclusion":{"description":"Employee range with tag exclusion","value":"organizationEmployeeCountRangeName.raw|is|51-200;201-500,lead_tags.raw|isnot|customer;competitor"},"Industry contains":{"description":"Industry contains","value":"organizationIndustryName.raw|contains|Computer Software"},"Is – single country":{"description":"Is – single country","value":"organizationCountry.raw|is|Denmark"},"URL exact match":{"description":"URL exact match","value":"original_url.raw|is|http://www.justpayy.com"},"Multiple filters combined":{"description":"Multiple filters combined","value":"organizationName.raw|contains|scuba equipment,last_country_name.raw|inregion|APAC,organizationIndustryName.raw|is|water sports"},"Complex real example":{"description":"Complex real example","value":"organizationName.raw|is|google trends boutech,last_country_name.raw|is|Philippines"},"In region":{"description":"In region","value":"last_country_name.raw|inregion|APAC"},"Is – multiple countries":{"description":"Is – multiple countries","value":"organizationCountry.raw|is|Sweden;Norway;Denmark"},"Contains – URL path":{"description":"Contains – URL path","value":"original_url.raw|contains|/solutions/clinicalkey"},"Contains – organization name":{"description":"Contains – organization name","value":"organizationName.raw|contains|bank"},"In category":{"description":"In category","value":"organizationIndustryName.raw|incategory|Construction"}}},{"name":"criteriaNumberFilter","in":"query","description":"Numeric filter expression used to filter results based on numeric fields. Format: field|operator|value. Multiple filters are comma-separated. Supported numeric operators include greaterthan, lessthan, is, isnot, between, and notbetween. The between and notbetween operators use the format min-max.","required":false,"schema":{"type":"string"},"examples":{"Between range":{"description":"Between range","value":"user.total_pages_viewed|between|10-50"},"Less than":{"description":"Less than","value":"user.total_number_visits|lessthan|50"},"Combined exclusion and range":{"description":"Combined exclusion and range","value":"user.total_number_visits|isnot|21,user.total_pages_viewed|between|10-100"},"Greater than":{"description":"Greater than","value":"user.total_number_visits|greaterthan|12"},"Not between range":{"description":"Not between range","value":"user.total_pages_viewed|notbetween|5-20"},"Multiple numeric filters":{"description":"Multiple numeric filters","value":"user.total_number_visits|greaterthan|12,user.total_pages_viewed|greaterthan|10"},"Not equal":{"description":"Not equal","value":"user.total_number_visits|isnot|21"},"Exact match":{"description":"Exact match","value":"user.total_number_visits|is|12"}}},{"name":"criteriaTimeFilter","in":"query","description":"Time-based filter expression used to filter results by time field. Format: field|operator|value.\n\nAllowed fields (same as `timeField` parameter):\n- eventEsTimestamp : Last Seen\n- first_session_unix_timestamp : First Seen\n\nSupported operators:\n- exactly   → integer value (0 = Today, 1 = Yesterday)\n- lessthan  → integer value (e.g. 6 = last 7 days)\n- between   → date range in format dd/MM/yyyy-dd/MM/yyyy\n\nLocale settings are taken into account while interpreting dates and returning results.","required":true,"schema":{"type":"string"},"examples":{"Today":{"description":"Today","value":"eventEsTimestamp|exactly|0"},"Last 30 days":{"description":"Last 30 days","value":"eventEsTimestamp|lessthan|29"},"Yesterday":{"description":"Yesterday","value":"eventEsTimestamp|exactly|1"},"Last 7 days":{"description":"Last 7 days","value":"eventEsTimestamp|lessthan|6"},"Custom date range":{"description":"Custom date range","value":"eventEsTimestamp|between|04/11/2025-10/12/2025"}}},{"name":"criteriaFieldFilter","in":"query","description":"Field-based filter used to include leads based on field presence.\n\nFormat:\noperator|field1;field2\n\nAllowed operator:\n- hasanyvalue\n\nAllowed fields:\n- firstName\n- lastName\n- email\n\nMultiple fields can be provided using semicolons.","required":false,"schema":{"type":"string"},"examples":{"Has any value (email)":{"description":"Has any value (email)","value":"hasanyvalue|email"},"Has any value (first or last name)":{"description":"Has any value (first or last name)","value":"hasanyvalue|firstName;lastName"}}},{"name":"criteriaExitLinkFilter","in":"query","description":"Exit link filter used to include or exclude leads based on exit link values.\n\nFormat:\nfield|operator|value\n\nSupported operators:\n- contains\n- is\n- isnot\n- doesnotcontain\n\nMultiple values can be provided using semicolons.","required":false,"schema":{"type":"string"},"examples":{"Contains exit link":{"description":"Contains exit link","value":"exitLinkFilter|contains|leads"}}},{"name":"criteriaLeadscoreFilter","in":"query","description":"Minimum lead score threshold (optional). Only records with lead scores greater than the provided number (0–100) are returned.","required":false,"schema":{"maximum":100,"minimum":0,"type":"integer","format":"int32"}},{"name":"criteriaDisplayFilter","in":"query","description":"Display filter used to control which types of leads are returned.\n\nSupported values:\n- company\n- person\n- unidentified\n\nSelecting 'unidentified' returns leads that could not be identified as a company or a person.\n\nMultiple values can be provided using semicolons.","required":false,"schema":{"type":"string"},"examples":{"Person leads only":{"description":"Person leads only","value":"person"},"Company and unidentified leads":{"description":"Company and unidentified leads","value":"company;unidentified"},"All lead types":{"description":"All lead types","value":"company;person;unidentified"},"Company leads only":{"description":"Company leads only","value":"company"},"Unidentified leads":{"description":"Unidentified leads","value":"unidentified"}}},{"name":"timeField","in":"query","description":"Time field used for filtering.\n\nAllowed values:\n- eventEsTimestamp : Last Seen\n- first_session_unix_timestamp : First Seen","required":true,"schema":{"type":"string","default":"eventEsTimestamp","enum":["eventEsTimestamp","first_session_unix_timestamp"]}},{"name":"usePresetExclusionList","in":"query","description":"Use a preset exclusion list of criteria to exclude from result.","required":false,"schema":{"type":"string","enum":["use_id","last_most_likely_company","organizationName","organizationDomain"]},"examples":{"Exclude by use_id":{"description":"Exclude by use_id","value":"use_id"},"Exclude by multiple types":{"description":"Exclude by multiple types","value":"use_id,last_most_likely_company,organizationName,organizationDomain"}}},{"name":"userId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"timeZone","in":"query","description":"Time zone used when parsing timestamps and evaluating time-based filters. \nIf not provided, the default time zone is Europe/Amsterdam.","required":false,"schema":{"type":"string","default":"Europe/Amsterdam"},"example":"Europe/Amsterdam"},{"name":"sortBy","in":"query","description":"Sort results by a specific field and direction.\n\nFormat:\nfield|direction\n\nAllowed fields:\n- lastEvent\n- _score\n\nAllowed directions:\n- asc\n- desc","required":false,"schema":{"type":"string"},"examples":{"Sort by time field (desc)":{"description":"Sort by time field (desc)","value":"lastEvent|desc"},"Sort by score field (desc)":{"description":"Sort by score field (desc)","value":"_score|desc"},"Sort by time field (asc)":{"description":"Sort by time field (asc)","value":"lastEvent|asc"},"Sort by score field (asc)":{"description":"Sort by score field (asc)","value":"_score|asc"}}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAllResponse"},"example":{"data":[{"organizationDomain":"example-domain.test","esScore":"88","lastEvent":"9999999999999","last_country_name":"Fakeland","last_region_name":"SampleRegion","last_city":"DemoCity"}],"metaData":{"nextToken":"placeholder_next_token_123","rows":1,"totalRows":999,"queryTime":{"timeZone":"UTC","queryTime":1111111111,"periodFromTime":1100000000,"periodToTime":1199999999}}}}}}}}},"/v1/leads/{leadId}":{"get":{"tags":["Leads"],"summary":"Retrieve Lead Details","description":"Returns detailed information for a single lead, identified by its lead ID.","operationId":"leadDetail","parameters":[{"name":"leadId","in":"path","description":"Unique identifier of the lead whose information is being requested.","required":true,"schema":{"type":"string"}},{"name":"email","in":"query","description":"Email address associated with the user's account.","required":true,"schema":{"type":"string"}},{"name":"site","in":"query","description":"The Dataset ID from which the lead information should be retrieved.","required":true,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"example":{"esScore":"99","eventUnixTimestamp":"9999999999999","organizationCountry":"Exampleland","organizationTwitterUrl":"https://twitter.com/example_org","organizationCity":"Sampleville","organizationType":"placeholder_education","organizationYearFounded":"1900","organization_tags":["placeholder_tag_one","placeholder_tag_two","placeholder_tag_three"]}}}}}}},"/v1/leads/sessions":{"get":{"tags":["Leads"],"summary":"Retrieve Lead Sessions","description":"Returns all sessions associated with a specific lead ID. Results can be filtered by segment and time range.","operationId":"getSessions","parameters":[{"name":"leadId","in":"query","description":"Display data for the given leadId. LeadId is a unique identifier of each lead.","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"The minimum number of records to be displayed in the output.<br/>Range : 1 - 10000","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"site","in":"query","description":"Dataset ID (site) for which sessions are retrieved","required":true,"schema":{"type":"string"}},{"name":"email","in":"query","description":"Email associated with the account","required":false,"schema":{"type":"string"}},{"name":"userId","in":"query","description":"UserId associated with email","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"segmentId","in":"query","description":"Filter results using a segment filters","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"minTime","in":"query","description":"Filter sessions by minimum session duration.","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"nextToken","in":"query","description":"Token returned after each request, used to fetch the next page of results. Each token is valid for 10 minutes.","required":false,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAllResponseMapStringObject"}}}}}}},"/v1/leads/export":{"get":{"tags":["Leads"],"summary":"Retrieve Leads (CSV)","description":"Exports a filtered list of leads as a CSV file for download.","operationId":"usersCsv","parameters":[{"name":"site","in":"query","description":"The Dataset ID","required":true,"schema":{"type":"string"}},{"name":"search","in":"query","description":"Keyword or phrase to search across all searchable fields. Search is case-insensitive for text fields. Defaults to '*' to match all results.","required":false,"schema":{"type":"string","default":"*"}},{"name":"limit","in":"query","description":"No of rows to return in response.","required":false,"schema":{"type":"integer","format":"int32","default":50}},{"name":"locale","in":"query","description":"Locale for formatting the 'prettyLastEvent' field in response. Determines the language and regional formatting (e.g., dates, text) returned by the API.","required":false,"schema":{"type":"string","default":"en_US"},"example":"en_US"},{"name":"nextToken","in":"query","description":"Token returned after each request, used to fetch the next page of results. Each token is valid for 10 minutes.","required":false,"schema":{"type":"string"}},{"name":"criteriaTextFilter","in":"query","description":"Text-based filter expression used to filter result fields.Format: field|operator|value. Multiple filters are comma-separated.","required":false,"schema":{"type":"string"},"examples":{"Does not contain – organization name":{"description":"Does not contain – organization name","value":"organizationName.raw|doesnotcontain|Cirrus"},"Employee range with tag exclusion":{"description":"Employee range with tag exclusion","value":"organizationEmployeeCountRangeName.raw|is|51-200;201-500,lead_tags.raw|isnot|customer;competitor"},"Industry contains":{"description":"Industry contains","value":"organizationIndustryName.raw|contains|Computer Software"},"Is – single country":{"description":"Is – single country","value":"organizationCountry.raw|is|Denmark"},"URL exact match":{"description":"URL exact match","value":"original_url.raw|is|http://www.justpayy.com"},"Multiple filters combined":{"description":"Multiple filters combined","value":"organizationName.raw|contains|scuba equipment,last_country_name.raw|inregion|APAC,organizationIndustryName.raw|is|water sports"},"Complex real example":{"description":"Complex real example","value":"organizationName.raw|is|google trends boutech,last_country_name.raw|is|Philippines"},"In region":{"description":"In region","value":"last_country_name.raw|inregion|APAC"},"Is – multiple countries":{"description":"Is – multiple countries","value":"organizationCountry.raw|is|Sweden;Norway;Denmark"},"Contains – URL path":{"description":"Contains – URL path","value":"original_url.raw|contains|/solutions/clinicalkey"},"Contains – organization name":{"description":"Contains – organization name","value":"organizationName.raw|contains|bank"},"In category":{"description":"In category","value":"organizationIndustryName.raw|incategory|Construction"}}},{"name":"criteriaNumberFilter","in":"query","description":"Numeric filter expression used to filter results based on numeric fields. Format: field|operator|value. Multiple filters are comma-separated. Supported numeric operators include greaterthan, lessthan, is, isnot, between, and notbetween. The between and notbetween operators use the format min-max.","required":false,"schema":{"type":"string"},"examples":{"Between range":{"description":"Between range","value":"user.total_pages_viewed|between|10-50"},"Less than":{"description":"Less than","value":"user.total_number_visits|lessthan|50"},"Combined exclusion and range":{"description":"Combined exclusion and range","value":"user.total_number_visits|isnot|21,user.total_pages_viewed|between|10-100"},"Greater than":{"description":"Greater than","value":"user.total_number_visits|greaterthan|12"},"Not between range":{"description":"Not between range","value":"user.total_pages_viewed|notbetween|5-20"},"Multiple numeric filters":{"description":"Multiple numeric filters","value":"user.total_number_visits|greaterthan|12,user.total_pages_viewed|greaterthan|10"},"Not equal":{"description":"Not equal","value":"user.total_number_visits|isnot|21"},"Exact match":{"description":"Exact match","value":"user.total_number_visits|is|12"}}},{"name":"criteriaTimeFilter","in":"query","description":"Time-based filter expression used to filter results by time field. Format: field|operator|value.\n\nAllowed fields (same as `timeField` parameter):\n- eventEsTimestamp : Last Seen\n- first_session_unix_timestamp : First Seen\n\nSupported operators:\n- exactly   → integer value (0 = Today, 1 = Yesterday)\n- lessthan  → integer value (e.g. 6 = last 7 days)\n- between   → date range in format dd/MM/yyyy-dd/MM/yyyy\n\nLocale settings are taken into account while interpreting dates and returning results.","required":false,"schema":{"type":"string"},"examples":{"Today":{"description":"Today","value":"eventEsTimestamp|exactly|0"},"Last 30 days":{"description":"Last 30 days","value":"eventEsTimestamp|lessthan|29"},"Yesterday":{"description":"Yesterday","value":"eventEsTimestamp|exactly|1"},"Last 7 days":{"description":"Last 7 days","value":"eventEsTimestamp|lessthan|6"},"Custom date range":{"description":"Custom date range","value":"eventEsTimestamp|between|04/11/2025-10/12/2025"}}},{"name":"criteriaFieldFilter","in":"query","description":"Field-based filter used to include leads based on field presence.\n\nFormat:\noperator|field1;field2\n\nAllowed operator:\n- hasanyvalue\n\nAllowed fields:\n- firstName\n- lastName\n- email\n\nMultiple fields can be provided using semicolons.","required":false,"schema":{"type":"string"},"examples":{"Has any value (email)":{"description":"Has any value (email)","value":"hasanyvalue|email"},"Has any value (first or last name)":{"description":"Has any value (first or last name)","value":"hasanyvalue|firstName;lastName"}}},{"name":"criteriaExitLinkFilter","in":"query","description":"Exit link filter used to include or exclude leads based on exit link values.\n\nFormat:\nfield|operator|value\n\nSupported operators:\n- contains\n- is\n- isnot\n- doesnotcontain\n\nMultiple values can be provided using semicolons.","required":false,"schema":{"type":"string"},"examples":{"Contains exit link":{"description":"Contains exit link","value":"exitLinkFilter|contains|leads"}}},{"name":"criteriaLeadscoreFilter","in":"query","description":"Minimum lead score threshold (optional). Only records with lead scores greater than the provided number (0–100) are returned.","required":false,"schema":{"maximum":100,"minimum":0,"type":"integer","format":"int32"}},{"name":"criteriaDisplayFilter","in":"query","description":"Display filter used to control which types of leads are returned.\n\nSupported values:\n- company\n- person\n- unidentified\n\nSelecting 'unidentified' returns leads that could not be identified as a company or a person.\n\nMultiple values can be provided using semicolons.","required":false,"schema":{"type":"string"},"examples":{"Person leads only":{"description":"Person leads only","value":"person"},"Company and unidentified leads":{"description":"Company and unidentified leads","value":"company;unidentified"},"All lead types":{"description":"All lead types","value":"company;person;unidentified"},"Company leads only":{"description":"Company leads only","value":"company"},"Unidentified leads":{"description":"Unidentified leads","value":"unidentified"}}},{"name":"timeField","in":"query","description":"Time field used for filtering.\n\nAllowed values:\n- eventEsTimestamp : Last Seen\n- first_session_unix_timestamp : First Seen","required":true,"schema":{"type":"string","default":"eventEsTimestamp","enum":["eventEsTimestamp","first_session_unix_timestamp"]}},{"name":"usePresetExclusionList","in":"query","description":"Use a preset exclusion list of criteria to exclude from result.","required":false,"schema":{"type":"string","enum":["use_id","last_most_likely_company","organizationName","organizationDomain"]},"examples":{"Exclude by use_id":{"description":"Exclude by use_id","value":"use_id"},"Exclude by multiple types":{"description":"Exclude by multiple types","value":"use_id,last_most_likely_company,organizationName,organizationDomain"}}},{"name":"dateFormat","in":"query","required":false,"schema":{"type":"string","default":"yyyy-MM-dd HH:mm:ss"}},{"name":"userId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"separator","in":"query","description":"Specifies the delimiter used to separate columns in the generated CSV file.","required":false,"schema":{"type":"string","default":","}},{"name":"timeZone","in":"query","description":"Time zone used when parsing timestamps and evaluating time-based filters. \nIf not provided, the default time zone is Europe/Amsterdam.","required":false,"schema":{"type":"string","default":"Europe/Amsterdam"},"example":"Europe/Amsterdam"},{"name":"sortBy","in":"query","description":"Sort results by a specific field and direction.\n\nFormat:\nfield|direction\n\nAllowed fields:\n- lastEvent\n- _score\n\nAllowed directions:\n- asc\n- desc","required":false,"schema":{"type":"string"},"examples":{"Sort by time field (desc)":{"description":"Sort by time field (desc)","value":"lastEvent|desc"},"Sort by score field (desc)":{"description":"Sort by score field (desc)","value":"_score|desc"},"Sort by time field (asc)":{"description":"Sort by time field (asc)","value":"lastEvent|asc"},"Sort by score field (asc)":{"description":"Sort by score field (asc)","value":"_score|asc"}}},{"name":"additionalCsvFields","in":"query","description":"Comma-separated list of column identifiers to be included in the CSV export.\nThe order of the values determines the column order in the generated CSV.\n","required":false,"schema":{"type":"string"},"example":"eventEsTimestamp,organizationDomain,last_channel"}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"CSV file generated successfully","headers":{"Content-Disposition":{"description":"Attachment filename","style":"simple","schema":{"type":"string","example":"attachment; filename=\"Target Audience.leadlist.20250417.+579720301.csv\""}},"nodata":{"description":"Indicates if CSV contains only headers without data rows. 'true' if no data, absent otherwise","style":"simple","schema":{"type":"string","example":true}}},"content":{"text/csv":{"schema":{"type":"string"}}}}}}},"/v1/leads/events":{"get":{"tags":["Leads"],"summary":"Retrieve Lead Events","description":"Returns all events associated with a specific session ID. Results can be optionally filtered by segment.","operationId":"getEvents","parameters":[{"name":"sessionId","in":"query","description":"Display data for the given sessionId. SessionId is a unique identifier of each session.","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"The minimum number of records to be displayed in the output.<br/>Range : 1 - 100","required":true,"schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32"}},{"name":"email","in":"query","description":"Email associated with the account","required":false,"schema":{"type":"string"}},{"name":"site","in":"query","description":"Dataset ID (site) for which events are retrieved","required":true,"schema":{"type":"string"}},{"name":"userId","in":"query","description":"UserId associated with email","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"segmentId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":{"description":"Interval Server Error: An unexpected error occurred on the server.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"402":{"description":"Payment Required: The client has exceeded credit limits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1InternalServerError"}}}},"429":{"description":"Too Many Requests: Rate limit exceeded. The client has sent too many requests in a given time period","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitErrorResponse"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAllResponseMapStringObject"}}}}}}},"/v1/ip-lookup":{"get":{"tags":["Lookup API"],"summary":"IP Address Lookup","description":"Retrieve detailed information about an IP address, including organization, geolocation, ISP details, and metadata.\n\nReturned Data\nWhen a match is found, the following fields are returned:\n\nOrganization fields\n- ipDomain\n- ipOrganization\n\nGeo location fields\n- ipCountryName\n- ipCountryCode\n- ipRegionName\n- ipCity\n- ipSubContinent\n- ipLatitude\n- ipLongitude\n- ipTimezone\n\nIP address details\n- ipIsp\n- ipRange\n- ipUsageType\n\nMeta data\n- searchIp\n- searchResponseTimeMs","operationId":"lookupIp","parameters":[{"name":"ip","in":"query","description":"IP address to lookup (IPv4|IPv6 format)","required":true,"schema":{"type":"string"},"example":"8.8.8.8"},{"name":"datasetId","in":"query","description":"The dataset ID to associate with the operation’s credit. If not specified, a dataset linked to the account will be selected.","required":false,"schema":{"type":"string"}}],"responses":{"400":{"description":"Bad Request: The request is invalid or malformed (missing/incorrect parameters).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1BadRequestResponse"}}}},"409":{"description":"Conflict: The request could not be completed due to a resource state conflict.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1ConflictResponse"}}}},"404":{"description":"Not Found: The requested resource does not exist.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1NotFoundResponse"}}}},"403":{"description":"Forbidden: The authenticated user does not have permission to access this resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/V1PermissionDenied"}}}},"500":
[...]
